Retrieves one financial instrument associated with the specified identity.
In the current release, one instrument is retrieved at most because only a single instrument is allowed per identity.
Security
Bearer
- Mock serverhttps://docs.ripple.com/_mock/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v3/identities/{identity-id}/financial-instruments/{financial-instrument-id}
- UAT environment with simulated currencyhttps://api.test.ripple.com/v3/identities/{identity-id}/financial-instruments/{financial-instrument-id}
- Production environmenthttps://api.ripple.com/v3/identities/{identity-id}/financial-instruments/{financial-instrument-id}
curl -i -X GET \
'https://docs.ripple.com/_mock/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v3/identities/2f4ac57f-c5ba-4051-b51f-b3565778717b/financial-instruments/2f4ac57f-c5ba-4051-b51f-b3565778717b?version=2&expand-identity=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "financialInstrument": { "country": "US", "financialInstrumentId": "7f2bac05-42a3-4b26-89fd-333396fdba70", "createdAt": "2025-10-01T18:46:47.430Z", "updatedAt": "2025-10-01T18:46:47.430Z", "usAch": { … }, "currency": "USD", "label": "US bank account", "financialInstrumentType": "US_ACH" } }